#include <Application.h>
#include <Window.h>
#include "DefWindow.h"
#include "DefView.h"


TDefWindow::TDefWindow(BRect Frame)
           :BWindow(Frame, "The Window", B_TITLED_WINDOW, 0),
            once(false) 
{
	AddChild(new TDefView(Bounds()));
	// Now you can use AddChild(new TDefView(Bounds(),100,1,1));	to choose the color (here it is set as blue :)
}
//-------------------------------------------------------------------------------
void TDefWindow::FrameMoved(BPoint NewPos)
{
	Refresh();
}
//-------------------------------------------------------------------------------
void TDefWindow::FrameResized(float width, float height){

	Refresh();
}
//-------------------------------------------------------------------------------
void TDefWindow::WindowActivated(bool state)
{
	if ( state )
	{
		if ( true == once )
		{
			once = false;
			Hide();
			ChildAt(0)->AttachedToWindow();
			Show();
		}
		else
		{
			once = true;
		}
	}
	else
	{
		ChildAt(0)->Draw(BRect(0, 0, 0, 0));
	}
	
}
//-------------------------------------------------------------------------------
// Hide the window to force AttachedToWindow function call
// Do this to refresh the background image when the workspace is changed.
void TDefWindow::WorkspacesChanged(uint32 oldW,uint32 newW)
{
	Hide();
	Show();
} 
//-------------------------------------------------------------------------------
bool TDefWindow::QuitRequested()
{
	be_app->PostMessage(B_QUIT_REQUESTED);
	return true;
}
//-------------------------------------------------------------------------------
void 
TDefWindow::Refresh()
{
	ChildAt(0)->Draw(ChildAt(0)->Bounds());
}
//-------------------------------------------------------------------------------
